Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlCatmullRomCurve Class Reference

`#include <GlCatmullRomCurve.h>`

Inherits tlp::GlSimpleEntity.

Inheritance diagram for tlp::GlCatmullRomCurve:

[legend]
Collaboration diagram for tlp::GlCatmullRomCurve:

[legend]
List of all members.

## Detailed Description

This class allow to draw a smooth curve which passes through all the points passes as parameters

## Public Member Functions

- GlCatmullRomCurve (const std::vector< Coord > &curvePassPoints, const Color &beginColor, const Color &endColor, const float beginSize, const float endSize, const std::string &texture="", const bool closedCurve=false, const unsigned int nbPointsPerBezierSegments=20)
- ~GlCatmullRomCurve ()
- void draw (float lod, Camera *camera)
- void setOutlined (const bool outlined)
- void setOutlineColor (const Color &outlineColor)
- virtual void getXML (xmlNodePtr rootNode)
- virtual void setWithXML (xmlNodePtr rootNode)

## Constructor & Destructor Documentation

tlp::GlCatmullRomCurve::GlCatmullRomCurve | ( | const std::vector< Coord > & | curvePassPoints,
|  | const Color & | beginColor,
|  | const Color & | endColor,
|  | const float | beginSize,
|  | const float | endSize,
|  | const std::string & | texture = `""`,
|  | const bool | closedCurve = `false`,
|  | const unsigned int | nbPointsPerBezierSegments = `20`
| ) |

tlp::GlCatmullRomCurve::~GlCatmullRomCurve | ( |  | ) |

## Member Function Documentation

void tlp::GlCatmullRomCurve::draw | ( | float | lod,
|  | Camera * | camera
| ) | `[virtual]`

| Draw function Implements tlp::GlSimpleEntity.

virtual void tlp::GlCatmullRomCurve::getXML | ( | xmlNodePtr | rootNode | ) | `[inline, virtual]`

| Save the entity in Xml Implements tlp::GlSimpleEntity.

void tlp::GlCatmullRomCurve::setOutlineColor | ( | const Color & | outlineColor | ) |

void tlp::GlCatmullRomCurve::setOutlined | ( | const bool | outlined | ) |

virtual void tlp::GlCatmullRomCurve::setWithXML | ( | xmlNodePtr | rootNode | ) | `[inline, virtual]`

| Load entity with Xml Implements tlp::GlSimpleEntity.

Tulip Software by LaBRI Visualization Team 2001 - 2010